ReflectionMethod::getModifiers
ReflectionMethod::invoke
ReflectionMethod
PHP Manual

# ReflectionMethod::getPrototype

(PHP 5)

ReflectionMethod::getPrototype — Gets the method prototype (if there is one).

### Description

public ReflectionMethod ReflectionMethod::getPrototype ( void )

Returns the methods prototype.

### Parameters

This function has no parameters.

### Return Values

A ReflectionMethod instance of the method prototype.

### Errors/Exceptions

A ReflectionException exception is thrown if the method does not have a prototype.

### Examples

Example #1 ReflectionMethod::getPrototype() example

`<?php
class Hello {
public function sayHelloTo($name) {
return 'Hello ' . $name;
}
}
class HelloWorld extends Hello {
public function sayHelloTo($name) {
return 'Hello world: ' . $name;
}
}
$reflectionMethod = new ReflectionMethod('HelloWorld', 'sayHelloTo');
var_dump($reflectionMethod->getPrototype());
?>`

The above example will output:

    object(ReflectionMethod)#2 (2) {
      ["name"]=>
      string(10) "sayHelloTo"
      ["class"]=>
      string(5) "Hello"
    }

### See Also

- ReflectionMethod::getModifiers() - Gets the method modifiers

ReflectionMethod::getModifiers
ReflectionMethod::invoke
ReflectionMethod
PHP Manual